de.esprit.common.lic

## Enum ProductModule

- java.lang.Object
- - java.lang.Enum<ProductModule>
  - - de.esprit.common.lic.ProductModule

- All Implemented Interfaces:
    NlsKey, CheckOption, java.io.Serializable, java.lang.Comparable<ProductModule>

      public enum ProductModule
      extends java.lang.Enum<ProductModule>
      implements CheckOption

  Defines the current esprit software modules which need a valid license to run.
  Author:
    Rainer Buesch

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `APP_STORE`
    `BINARY_IO`
    `CO_SERVER`
    `FILE_TRANSFER`
    `JOURNAL_TASK`
    `PERMISSION_MGR`
    `REMOTE_PATH`
    `SW_SCANNER`
    `WORKFLOW`

  - ### Field Summary

    - ### Fields inherited from interface de.esprit.appsuite.nls.NlsKey

      `SUB_KEY_ACTION, SUB_KEY_COLUMN, SUB_KEY_CONFIRM, SUB_KEY_CONST, SUB_KEY_DBO, SUB_KEY_DEMO, SUB_KEY_ERROR, SUB_KEY_FIELD, SUB_KEY_GUI, SUB_KEY_HELP, SUB_KEY_INFO, SUB_KEY_LABEL, SUB_KEY_MENU, SUB_KEY_MESSAGE, SUB_KEY_MISC, SUB_KEY_STATUS, SUB_KEY_TIP, SUB_KEY_TOOL, SUB_KEY_WINDOW, SUB_KEY_WORKFLOW`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ProductModule` | `fromPersistentName(java.lang.String name)`
    `java.lang.String` | `getAppKey()` Returns the base prefix of the key
    `java.lang.String` | `getSubKey()` Returns the path of the key
    `java.lang.String` | `getText(java.lang.Object... args)` Returns the translated text, which is the value of the translation key as stored in the translation map.
    `static ProductModule` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static ProductModule[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface de.esprit.appsuite.nls.NlsKey

      `name`

- - ### Enum Constant Detail

    - #### BINARY_IO

          public static final ProductModule BINARY_IO

    - #### SW_SCANNER

          public static final ProductModule SW_SCANNER

    - #### WORKFLOW

          public static final ProductModule WORKFLOW

    - #### APP_STORE

          public static final ProductModule APP_STORE

    - #### REMOTE_PATH

          public static final ProductModule REMOTE_PATH

    - #### JOURNAL_TASK

          public static final ProductModule JOURNAL_TASK

    - #### FILE_TRANSFER

          public static final ProductModule FILE_TRANSFER

    - #### PERMISSION_MGR

          public static final ProductModule PERMISSION_MGR

    - #### CO_SERVER

          public static final ProductModule CO_SERVER

  - ### Method Detail

    - #### values

          public static ProductModule[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ProductModule c : ProductModule.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ProductModule valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getAppKey

          public java.lang.String getAppKey()

      Description copied from interface: `NlsKey`
      Returns the base prefix of the key
      Specified by:
        `getAppKey` in interface `NlsKey`

    - #### getSubKey

          public java.lang.String getSubKey()

      Description copied from interface: `NlsKey`
      Returns the path of the key
      Specified by:
        `getSubKey` in interface `NlsKey`

    - #### getText

          public java.lang.String getText(java.lang.Object... args)

      Description copied from interface: `NlsKey`
      Returns the translated text, which is the value of the translation key as stored in the translation map.
      Specified by:
        `getText` in interface `NlsKey`

    - #### fromPersistentName

          public static ProductModule fromPersistentName(java.lang.String name)

Copyright © 2014 EsprIT-Systems. All Rights Reserved.